This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Use correct err msg in XS version check
authorFather Chrysostomos <sprout@cpan.org>
Wed, 23 Nov 2011 20:47:50 +0000 (12:47 -0800)
committerFather Chrysostomos <sprout@cpan.org>
Thu, 24 Nov 2011 09:45:28 +0000 (01:45 -0800)
commitd31021d22e76a02635b33b5504e52db88adfc5f0
tree5871f655f55d99ec7126d85ba4a87bafa30ceddd
parentc404d42afdfcd548f3486781fd748ae2b462f6d4
Use correct err msg in XS version check

When an XS module’s version is checked when it is loading, the string
"version" should be treated the same way as "versions" and emit the
‘Invalid version format’ error, instead of being treated as a version
object at first and then rejected by the validator with the ‘Invalid
version object’ error.

See also perl #102586.
dist/XSLoader/t/XSLoader.t
util.c